summaryrefslogtreecommitdiff
path: root/Meta/check-ak-test-files.sh
diff options
context:
space:
mode:
authorthislooksfun <tlf@thislooks.fun>2021-10-26 13:08:39 -0500
committerAndreas Kling <kling@serenityos.org>2021-11-02 12:23:30 +0100
commitc2d44209a8f508ccb243410fc0e591976820b287 (patch)
tree6500ff07de9f876a3bc4958e178636e5d5b510ad /Meta/check-ak-test-files.sh
parent4de7b3ad24209777d40445ed4e8b6ffcee5185b6 (diff)
downloadserenity-c2d44209a8f508ccb243410fc0e591976820b287.zip
Meta: Use grep -E/F, not grep -P
grep -E and -F are POSIX standard, and meets all our matching needs.
Diffstat (limited to 'Meta/check-ak-test-files.sh')
-rwxr-xr-xMeta/check-ak-test-files.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/Meta/check-ak-test-files.sh b/Meta/check-ak-test-files.sh
index a716b0d904..d929eb146f 100755
--- a/Meta/check-ak-test-files.sh
+++ b/Meta/check-ak-test-files.sh
@@ -9,7 +9,7 @@ MISSING_FILES=n
while IFS= read -r FILENAME; do
# Simply search whether the CMakeLists.txt *ever* mention the test files.
- if ! grep -qP "${FILENAME}" Tests/AK/CMakeLists.txt ; then
+ if ! grep -qF "${FILENAME}" Tests/AK/CMakeLists.txt ; then
echo "Tests/AK/CMakeLists.txt is either missing the test file ${FILENAME} or is not in the commit's staged changes"
MISSING_FILES=y
fi